ShareUpdateServiceImpl (gCube Share Updates Portlet 0.5.0-2.16.0 API)
Date: 2013-07-30

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.portlets.user.shareupdates.server
Class ShareUpdateServiceImpl

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              com.google.gwt.user.server.rpc.AbstractRemoteServiceServlet
                  com.google.gwt.user.server.rpc.RemoteServiceServlet
                      org.gcube.portlets.user.shareupdates.server.ShareUpdateServiceImpl

All Implemented Interfaces:
  com.google.gwt.user.client.rpc.RemoteService, com.google.gwt.user.server.rpc.SerializationPolicyProvider, Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig, ShareUpdateService

    public class ShareUpdateServiceImpl

extends com.google.gwt.user.server.rpc.RemoteServiceServlet
implements ShareUpdateService

The server side implementation of the RPC service.

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.google.gwt.user.server.rpc.AbstractRemoteServiceServlet
`perThreadRequest, perThreadResponse`

Constructor Summary
`ShareUpdateServiceImpl()`

Method Summary
`LinkPreview` | `checkLink(String linkToCheck)` tries the following in the indicated order for Populating the Link preview Open Graph protocol Meta "title" and "description" tags Best guess from page content (not recommended) Schema.org microdata <-- This is still a TODO
`void` | `destroy()`
`String` | `extractURL(String feedText)` utilty method that extract an url ina text
`ArrayList<org.gcube.portlets.user.pickuser.shared.PickingUser>` | `getPortalUsers()`
`ArrayList<org.gcube.portlets.user.pickuser.shared.PickingUser>` | `getSelectedUserIds(ArrayList<String> fullNames)`
`UserSettings` | `getUserSettings()`
`void` | `init()` connect to cassandra at startup
`org.gcube.portal.databook.shared.ClientFeed` | `share(String postText, org.gcube.portal.databook.shared.FeedType feedType, org.gcube.portal.databook.shared.PrivacyLevel pLevel, String vreId, String linkTitle, String linkDesc, String url, String urlThumbnail, String host, ArrayList<String> mentionedUserFullNames)`
`String` | `transformUrls(String feedText)` utilty method that convert a url ina text in a clickable url by the browser and if the user has just pasted a link, converts the link in: shared a link

Methods inherited from class com.google.gwt.user.server.rpc.RemoteServiceServlet
`checkPermutationStrongName, doGetSerializationPolicy, getSerializationPolicy, onAfterResponseSerialized, onBeforeRequestDeserialized, processCall, processPost, shouldCompressResponse`

Methods inherited from class com.google.gwt.user.server.rpc.AbstractRemoteServiceServlet
`doPost, doUnexpectedFailure, getPermutationStrongName, getThreadLocalRequest, getThreadLocalResponse, onAfterRequestDeserialized, readContent`

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doGet, doHead, doOptions, doPut, doTrace, getLastModified, service, service`

Methods inherited from class javax.servlet.GenericServlet
`getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ShareUpdateServiceImpl

    public ShareUpdateServiceImpl()

Method Detail

### init

    public void init()

  connect to cassandra at startup

  Overrides:
    `init` in class `javax.servlet.GenericServlet`

### destroy

    public void destroy()

  Specified by:
    `destroy` in interface `javax.servlet.Servlet`
  Overrides:
    `destroy` in class `javax.servlet.GenericServlet`

### share

    public org.gcube.portal.databook.shared.ClientFeed share(String postText,
                                                             org.gcube.portal.databook.shared.FeedType feedType,
                                                             org.gcube.portal.databook.shared.PrivacyLevel pLevel,
                                                             String vreId,
                                                             String linkTitle,
                                                             String linkDesc,
                                                             String url,
                                                             String urlThumbnail,
                                                             String host,
                                                             ArrayList<String> mentionedUserFullNames)

  Specified by:
    `share` in interface `ShareUpdateService`

### transformUrls

    public String transformUrls(String feedText)

  utilty method that convert a url ina text in a clickable url by the browser and if the user has just pasted a link, converts the link in: shared a link

  Parameters:
    `feedText` -
  Returns:
    the text with the clickable url in it

### getUserSettings

    public UserSettings getUserSettings()

  Specified by:
    `getUserSettings` in interface `ShareUpdateService`

### extractURL

    public String extractURL(String feedText)

  utilty method that extract an url ina text

  Parameters:
    `feedText` -
  Returns:
    the text with the clickable url in it

### checkLink

    public LinkPreview checkLink(String linkToCheck)

  tries the following in the indicated order for Populating the Link preview Open Graph protocol Meta "title" and "description" tags Best guess from page content (not recommended) Schema.org microdata <-- This is still a TODO

  Specified by:
    `checkLink` in interface `ShareUpdateService`

### getSelectedUserIds

    public ArrayList<org.gcube.portlets.user.pickuser.shared.PickingUser> getSelectedUserIds(ArrayList<String> fullNames)

  Returns:
    the screennames of the addressee (user logins e.g. pino.pini)

### getPortalUsers

    public ArrayList<org.gcube.portlets.user.pickuser.shared.PickingUser> getPortalUsers()

  Specified by:
    `getPortalUsers` in interface `ShareUpdateService`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.